Subject: Re: [X2Go-Dev] Bug#1071: x2goclient(osx) ignores changes of command if changing only letter case

From: Xiao Zhang <[email-masked]>
Date: Wed, 10 Aug 2016 22:48:56 +0000

Thanks for the reply.

I did try what you suggested - same problem. I think it stores all commands
that has been set. So when I set "firefox" again it just auto-set to the
one that has been stored and disregard the difference on letter case.
On Thu, 11 Aug 2016 at 00:40, Stefan Baur <[email-masked]> wrote:

> Am 10.08.2016 um 20:06 schrieb Xiao Zhang:
>
> > There seems no way to correct such misspell. I had to delete and create
> > a new session.
>
> Have you tried entering a different command, say, "true", saving the
> session, then changing it to the lowercase "firefox" entry and saving
> again?
>
> Also, do check out the "Published Applications" feature, as it allows
> you to offer not one, but several applications to your users, with a
> single sign in and all running within the same connection.
>
> By default, all applications in /usr/share/applications will be published.
> If you want to restrict it to a subset, run this, as root:
>
> rm /etc/x2go/applications
> mkdir /etc/x2go/applications
> chmod 755 /etc/x2go/applications
>
> cp -a /usr/share/applications/whateveryouwant.desktop \
>       /etc/x2go/applications/
>
> If you replace the "Categories=" entry in the *.desktop files in
> /etc/x2go/applications with "Categories=X2Go-Top", you will end up with
> a "flat" start menu, which may be more to your liking if you only wish
> to publish a few apps. Make sure you're not operating on a symlinked
> /usr/share/applications folder, though, or you will mess up your regular
> desktop entries.
>
> Kind Regards,
> Stefan Baur
>
> --
> BAUR-ITCS UG (haftungsbeschränkt)
> Geschäftsführer: Stefan Baur
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
> Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
>
>